Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

/api/v1/admin/userfiles/{filename}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Important

Optimizely added authentication to an endpoint that could be used maliciously. If you see unauthorized exceptions when making requests to integration-related endpoints, you can use the class WebApiClientSession available in Insite.Common.

var webApiClient = new WebApiClientSession(this.SiteConnection.Url.AbsoluteUri);
if (!webApiClient.AuthenticateClient(this.SiteConnection.UserName, this.SiteConnection.Password))
{
    throw new Exception($"Failed to authenticate to Web API with user: {this.SiteConnection.UserName}");
}
var httpClient = webApiClient.GetClient()
Path Params
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json
text/html